Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Support for security such as Firewalls and securing linux
josie
Posts: 15
Joined: 2016/02/19 08:09:21

Re: Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Postby josie » 2018/01/31 14:30:05

Thank you for your input. I am unable to decide who is correct.
However, a short time ago you said I did not have CentOS, but all the evidence says otherwise

# cat /etc/issue.net
CentOS release 6.9 (Final)

stevemowbray
Posts: 367
Joined: 2012/06/26 14:20:47

Re: Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Postby stevemowbray » 2018/01/31 15:46:57

That may be, but your version of PHP is not from CentOS. It's either from Plesk or some other third party repository. You could use "rpm -qi" on your php packages to find out more information.

josie
Posts: 15
Joined: 2016/02/19 08:09:21

Re: Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Postby josie » 2018/01/31 15:59:28

Thank you Steve, I will try that

User avatar
TrevorH
Forum Moderator
Posts: 22590
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Postby TrevorH » 2018/01/31 16:15:48

Since Remi is the person who works at Redhat packaging php for RHEL (and thus for CentOS) you can take his word for it. He is correct and Plesk are giving you the runaround.

We don't support systems with Plesk installed. You'll need to ask them for support. Sorry, but all panels change so many things about CentOS that you can no longer trust any advice that might be applicable to a real CentOS system. For this reason you need to ask Plesk not us.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

josie
Posts: 15
Joined: 2016/02/19 08:09:21

Re: Is PHP 5.4.45 on Centos 6.9 secure and easily upgraded

Postby josie » 2018/01/31 16:34:11

Thank you.
I did not mean to question anyone's authority or knowledge.
There is no doubt Plesk are giving me the runaround.

A genuine user seems to think PHP is probably part of a pre-installed image that the hosting provider uses to install new servers.
That would make sense.